package com.ozs.web.controller.shotschedule;

import com.ozs.system.service.ISysDictDataService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;

/**
 * @author wyy
 * @subject
 * @creat 2023/5/6
 */
@Component
@Slf4j
public class ShotExecutors {

    private  static ScheduledExecutorService scheduledExecutorService = Executors.newScheduledThreadPool(5);
    @Autowired
    private ISysDictDataService dictDataService;
    @Autowired
    private TaskNormalService taskNormalService; //定时任务-没有报警摄像头
    @Autowired
    private TaskAlarmService taskAlarmService;//定时任务-报警摄像头

    @PostConstruct
    public void init() {
        try{
            boolean shotSwitch = Boolean.parseBoolean(dictDataService.selectDictLabel("shot_switch", String.valueOf(0)));
            if(shotSwitch){
                scheduledExecutorService.scheduleAtFixedRate(taskNormalService, 0, 500, TimeUnit.MILLISECONDS);
                scheduledExecutorService.scheduleAtFixedRate(taskAlarmService, 0, 200, TimeUnit.MILLISECONDS);
            }
        }catch (Throwable throwable){
            log.error(throwable.getMessage());
        }
    }
}
